<?
	session_start();

	//RESTRICCI?N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

	if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php");
	include "proceso_numtolet.php";
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

	$consulta="select id,codigo,nombres,nombres1,apellidos,apellidos1,smes,fechai,fechae,gerencia,cargo,departamento,empresa,nomina from personal where codigo='".$cedula."' and id='".$_SESSION['id_validar']."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$rowemp=mysqli_fetch_array($resultado);
	$tiponomina=$rowemp['nomina'];

	//====================== buscar tipo de nomina
	$tipoclase=1;
	$consulta1="select tipo from nomina where id='".$_SESSION['id_validar']."' and codigo='".$tiponomina."'";
	$resultado1 = mysqli_query($enlace,$consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	while ($row1 = mysqli_fetch_array($resultado1)) $tipoclase=$row1['tipo'];

	//============ datos de empresa
	$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
	$row=mysqli_fetch_array($consulta);
	$gerencia=$row['gerencia'];
	$_POST['dgerencia']='';
	$ince=$row['ince'];
	$dvac=$row['dvac'];
	$dbon=$row['dbon'];
	$duti=$row['duti'];
	$icon=$row['icon'];
	$_POST['pie']=$row['pie'];
	$_POST['encabeza']=$row['encabeza'];
	$_POST['empresal']=$row['nombre'];
	$_POST['ciudad']=$row['ciudad'];
	$con01=$row['constante01'];
	$con02=$row['constante02'];
	$con03=$row['constante03'];
	$con04=$row['constante04'];
	$sueldominimo=$row['sueldominimo'];

	if ($_SESSION['modo_validar']>0) {
		$consultag="Select * from tablas where tabla=ucase('EMPRESA') and id='".$_SESSION['id_validar']."' and codigo='".trim($rowemp['empresa'])."' order by codigo,detalle";
		$consultagg = mysqli_query($enlace,$consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysqli_error($enlace));
		$rowg = mysqli_fetch_array($consultagg);
		$_POST['dgerencia']=$rowg['detalle'];
	} else {
		if ($gerencia==1) {
			$consultag="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' and codigo='".trim($rowemp['gerencia'])."' order by codigo,detalle";
			$consultag = mysqli_query($enlace,$consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysqli_error($enlace));
			$rowg = mysqli_fetch_array($consultag);
			$_POST['dgerencia']=$rowg['detalle'];
		}
	}
	//===========egresado o no
	$egresado=true;

	//=========== datos de prestaciones
	$consultax="select * from liquidaciones where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ";
	$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$rowx=mysqli_fetch_array($resultadox);
$status_liq = $rowx['estado_liquidacion'];
	$fec1 = $rowx['fechai'];
	$fec2 = $rowx['fecha_retiro'];
	$fecha_pago = $rowx['fecha_pago'];
	$tipoe = $rowx['tipoe'];
	$tipo_salario = $rowx['tipo_salario'];
	$smes = $rowx['sueldo_liq'];
	$salar_integral = $rowx['salar_integral'];
	$diaspagar = $rowx['dias'];
	$valor_dias_pagar = $rowx['valor_dias_pagar'];
	$diasticket = $rowx['diast'];
	$valor_dia_cestatic = $rowx['valor_dia_cestatic'];
	$valor_ct_total = $rowx['valor_ct_total'];
	$vac = $rowx['vacacion'];
	$dias_vac_venc = $rowx['dias_vac_venc'];
	$valor_vaca_venc = $rowx['valor_vaca_venc'];
	$dias_bonovac_venc = $rowx['dias_bonovac_venc'];
	$valor_bonovac_venc = $rowx['valor_bonovac_venc'];
	$dias_bono_postvaca = $rowx['dias_bono_postvaca'];
	$valor_bono_postvaca = $rowx['bono_post_vaca'];
	$dias_vac_fraccion = $rowx['dias_vac_fraccion'];
	$valor_dias_vac_fraccion = $rowx['valor_dias_vac_fraccion'];
	$dias_bonovac_fraccion = $rowx['dias_bonovac_fraccion'];
	$valor_bonovac_fraccion = $rowx['valor_bonovac_fraccion'];
	$dias_descanso_vaca = $rowx['dias_descans_vacac'];
	$valor_dias_descanso_vaca = $rowx['valor_dias_desc_vacac'];

	$ccon01 = $rowx['ccon01'];
	$ncon01 = $rowx['ncon01'];
	$dias_util_pagar = $rowx['dias_util_pagar'];
	$valor_utilid_pagar = $rowx['valor_utilid_pagar'];
	$dias_prestac_garant = $rowx['dias_prestac_garant'];
	$valor_prestaciones_gant = $rowx['valor_prestaciones_gant'];
	$dias_prest_adic = $rowx['dias_prest_adic'];
	$valor_prestac_adic = $rowx['valor_prestac_adic'];
	$dias_metodo_c = $rowx['dias_metodo_c'];
	$valor_metodoC = $rowx['valor_metodo_c'];
	$intereses_prestac = $rowx['intereses_prestac'];
	$valor_indemniza = $rowx['valor_indem'];
	$semana = $rowx['semana'];
	$valor_sso = $rowx['valor_sso'];
	$valor_rpe = $rowx['valor_rpe'];
	$faov = $rowx['faov'];
	$islr = $rowx['islr'];
	$valor_islr = $rowx['valor_islr'];
	$dpnl = $rowx['dpnl'];
	$valor_dpnlabor = $rowx['valor_dpnlabor'];
	$inces = $rowx['inces'];
	$fideicomiso = $rowx['fideicomiso'];
	$adelanto_prestaciones = $rowx['anticipo_prestac'];
	$adeuti=$rowx['adeuti'];
	$adevac=$rowx['adevac'];
	$ccon02 = $rowx['ccon02'];
	$ncon02 = $rowx['ncon02'];
	$saldoprestamo = $rowx['saldo_prestamo'];
	$cuantosdias=calcular_dias($fec1,$fec2);
	$fechapago =  substr($rowx['fecha_pago'],8,2).' de '.mes(substr($rowx['fecha_pago'],5,2)).' del '.substr($rowx['fecha_pago'],0,4);

	$icon = $rowx['icon'];
	$fec3 = $rowx['fecha_pago'];

	if ($tipoe==0) $motivo='Renuncia';
	if ($tipoe==1) $motivo='Renuncia';
	if ($tipoe==2) $motivo='Finalizacion de Contrato';
	if ($tipoe==3) $motivo='Despido Justificado';
	if ($tipoe==4) $motivo='Despido Injustificado';
	if ($tipoe==5) $motivo='Acuerdo entre las partes';

	$hoy=substr($fec2,0,4).'-01-01';
	if ($fec1>$hoy) $hoy = $fec1;

	$mesutilidad = mostrar_antiguedad(2,$hoy, $fec2);
	$utilidad = $duti/12*$mesutilidad*($smes/30);

	$a=mostrar_antiguedad(1,$fec1,$fec2);
	$diasvac = $dvac + ($a-1<=0?0:$a-1);
	$diasbon = $dbon + ($a-1<=0?0:$a-1);

	/*
	//============ datos de prestamos
	$consulta=mysqli_query($enlace,"select sum(saldo) as total from prestamo where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ");
	$row=mysqli_fetch_array($consulta);
	$saldoprestamo=$row['total'];
	*/

	//============ datos de adelantos
	$consulta=mysqli_query($enlace,"select sum(monto) as total from prestacion_adelanto where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ");
	$row=mysqli_fetch_array($consulta);
	$saldoadelanto=$row['total'];

	//============ datos de intereses
	$consulta=mysqli_query($enlace,"select sum(monto) as total from prestacion_interes where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ");
	$row=mysqli_fetch_array($consulta);
	$saldointeres=$row['total'];


//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
	{
			if ($_POST['dgerencia']=='') {
				$this->Image($_SESSION['logo_validar'],10,10,30,30);
				$this->SetFont('arial','B',10);
				$this->Ln(2);
				$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R');
			} else {
				$this->Ln(5);
				$this->SetFont('arial','B',10);
				$this->Cell(0,9,$_POST['dgerencia'],0,1,'C');
			}
			$this->SetFont('arial','',8);
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			$this->SetFont('arial','B',16);
			$this->Ln(8);
			$this->Cell(0,5,'RECIBO DE LIQUIDACION FINAL',0,1,'C');
			$this->SetFont('arial','B',12);
			$this->Cell(0,5,'DE CONTRATO DE TRABAJO',0,1,'C');
			$this->SetFont('arial','',10);
	}
	function Footer()
			{
			$this->SetY(-20);
			$this->Cell(0,0,'',1,1,'C');
			$this->SetFont('Times','I',8);
			$this->ln(2);
			$this->Cell(0,0,$_POST['pie'],0,1,'C');
			}
	}
	$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFillColor(153,164,192);
	$pdf->SetTextColor(0);

	$integral = $salar_integral;
	$antiguedad  =(mostrar_antiguedad(1,$fec1,$fec2))." Anos, ";
	$antiguedad .=(mostrar_antiguedad(2,$fec1,$fec2))." Meses, ";
	$antiguedad .=(mostrar_antiguedad(3,$fec1,$fec2))." Dias ";

	$cdias  = calcular_dias($fec1,$fec2);
	$tdias  = calcular_dias($fec1,$fec2);
	$cmeses =0;
	$canos  =0;
	if ($cdias>=30) {
		$cmeses = ($cdias - ($cdias % 30>0 ? $cdias % 30 : 0) ) / 30;
		$cdias = $cdias - ($cmeses * 30);

		if ($cmeses>=12) {
			$canos = ($cmeses - ($cmeses % 12>0 ? $cmeses % 12 : 0) ) / 12;
			$cmeses = $cmeses - ($canos * 12);
		}
	}
	//$antiguedad ="($tdias Dias)-> ".($canos==0?'':"$canos A?o(s), "). ($cmeses==0?'':"$cmeses Mes(es), "). ($cdias==0?'':"$cdias D?a{s} ");

	$concar=mysqli_query($enlace,"select * from tablas where tabla='CARGO' and codigo='".$rowemp['cargo']."' and id='".$_SESSION['id_validar']."' "  );
	while($row1=mysqli_fetch_array($concar)) $cargo=$row1['detalle'];

	$pdf->SetFont('Arial','B',10);
	$pdf->Ln(5);
	$pdf->cell(5,5,'Información del Empleado:',0,1,'');

	$pdf->SetFont('Arial','',8);
	$pdf->cell(10,5,'Cédula de Identidad: '.$rowemp['codigo'].' / Nombres y Apellidos: '.trim($rowemp['nombres']).' '.$rowemp['nombres1'].", ".trim($rowemp['apellidos'])." ".$rowemp['apellidos1'],0,1,'',0);
	//$pdf->cell(10,5,'Nombres y Apellidos: '.trim($rowemp['nombres']).' '.$rowemp['nombres1'].", ".trim($rowemp['apellidos'])." ".$rowemp['apellidos1'],0,1,'',0);
	$pdf->cell(10,5,'Cargo: '.$cargo.' / Motivo de Egreso: '.strtoupper($motivo),0,1,'',0);
	//$pdf->cell(10,5,'Motivo de Egreso: '.strtoupper($motivo),0,1,'',0);
	$pdf->Ln(5);

	$pdf->SetFont('Arial','B',8);
	$pdf->cell(30,5,'Fecha de Ingreso',1,0,'C',1);
	$pdf->cell(30,5,'Fecha de egreso',1,0,'C',1);
	$pdf->cell(50,5,'Antiguedad Total',1,0,'C',1);
	$pdf->cell(30,5,'Salario Mensual',1,0,'C',1);
	$pdf->cell(30,5,'Salario Diario',1,0,'C',1);
	$pdf->cell(30,5,'Salario Integral',1,1,'C',1);

	$pdf->SetFont('Arial','',8);
	$pdf->cell(30,5,$fec1,1,0,'C',0);
	$pdf->cell(30,5,$fec2,1,0,'C',0);
	$pdf->SetFont('Arial','B',8);
	$pdf->cell(50,5,$antiguedad,1,0,'C',0);
	$pdf->SetFont('Arial','B',8);
	$pdf->cell(30,5,number_format($smes,2),1,0,'C',0);
	$pdf->cell(30,5,number_format($smes/30,2),1,0,'C',0);
	$pdf->cell(30,5,number_format($salar_integral,2),1,1,'C',0);


	/********************************/
	$metodoc=0;
	$pdf->SetFont('Arial','B',8);
	$pdf->ln(5);
	$pdf->cell(100,5,'Comparando Metodos',1,0,'L',1);
	$pdf->cell(20,5,'Dias',1,0,'C',1);
	$pdf->cell(20,5,'Monto',1,0,'C',1);
	$pdf->ln(5);
	$pdf->SetFont('Arial','',8);
	$pdf->cell(100,5,'Prestaciones Garantizadas Art 142 Lit. a y Lit. b',1,0,'L');

	$pdf->cell(20,5,$dias_prestac_garant + $dias_prest_adic,1,0,'C');
	$pdf->cell(20,5,$valor_prestaciones_gant + $valor_prestac_adic,1,1,'C');
	$pdf->cell(100,5,'Prestaciones Calculadas Art 142 Lit. c',1,0,'L');
	//$anhos=0;


	/*
	if(mostrar_antiguedad(1,$fec1,$fec2)>0){//a?os
         $anhos=mostrar_antiguedad(1,$fec1,$fec2)+((mostrar_antiguedad(2,$fec1,$fec2)>6||(mostrar_antiguedad(2,$fec1,$fec2)==6&&mostrar_antiguedad(3,$fec1,$fec2)>1))?1:0);
	}else{//menos de un a?o pero tal vez mayor a 6 meses
	     if(mostrar_antiguedad(2,$fec1,$fec2)>6||(mostrar_antiguedad(2,$fec1,$fec2)==6&&mostrar_antiguedad(3,$fec1,$fec2)>1)){
		     $anhos=(mostrar_antiguedad(2,$fec1,$fec2)>6||(mostrar_antiguedad(2,$fec1,$fec2)==6&&mostrar_antiguedad(3,$fec1,$fec2)>1))?1:0;
		 }
	}
	*/

	//$anhos=$anhos*30;
	//$metodoc=round($anhos*$integral);
	$metodoc = $valor_metodoC;
	$pdf->cell(20,5,$dias_metodo_c,1,0,'C');
	$pdf->cell(20,5,number_format($metodoc,2),1,1,'C');//
	$pdf->ln(5);
	/********************************/

	$pdf->SetFont('Arial','B',12);
	$pdf->cell(0,5,'Detalle de Conceptos:',0,1,'C');



	$pdf->SetFont('Arial','B',8);
	$pdf->cell(60,5,'Conceptos Devengados',1,0,'L',1);
	$pdf->cell(20,5,'Desde',1,0,'C',1);
	$pdf->cell(20,5,'Hasta',1,0,'C',1);
	$pdf->cell(30,5,'Unidad',1,0,'C',1);
	$pdf->cell(20,5,'Cantidad',1,0,'C',1);
	$pdf->cell(20,5,'Diario',1,0,'C',1);
	$pdf->cell(30,5,'Sub-Total',1,1,'C',1);
	$pdf->SetFont('Arial','',8);

//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx




	$totaldev=0; $totalded=0;
	///===================================== sueldos dias a pagar
	///===================================== sueldos dias a pagar
	if ($diaspagar>0) {
		$pdf->cell(60,5,'Sueldo / Salario Pendiente',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Dias',1,0,'L');
		$pdf->cell(20,5,number_format($diaspagar ,0),1,0,'R');
		$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
		$pdf->cell(30,5,number_format($valor_dias_pagar,2),1,1,'R',1);
		$totaldev += $valor_dias_pagar;
	}
	///===================================== cesta ticket dias a pagar
	///===================================== cesta ticket dias a pagar
	if ($diasticket>0) {
		$pdf->cell(60,5,'Cesta Tickets a Pagar',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Dias',1,0,'L');
		$pdf->cell(20,5,number_format($diasticket ,0),1,0,'R');
		$pdf->cell(20,5,number_format($valor_dia_cestatic ,2),1,0,'R');
		$pdf->cell(30,5,number_format($valor_ct_total ,2),1,1,'R',1);
		$totaldev += $valor_ct_total;
	}

	///===================================== vacaciones vencidas
	///===================================== vacaciones vencidas
	if ($vac>0) {
		$pdf->cell(60,5,'Vacaciones Anuales Vencidas ('.$vac.')',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Dias',1,0,'L');
		$pdf->cell(20,5,number_format($dias_vac_venc,0),1,0,'R');
		$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
		$pdf->cell(30,5,number_format($valor_vaca_venc ,2),1,1,'R',1);
		$totaldev += $valor_vaca_venc;

		$pdf->cell(60,5,'Bono Vacacional Vencidas ('.$vac.')',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Dias',1,0,'L');
		$pdf->cell(20,5,number_format($dias_bonovac_venc,0),1,0,'R');
		$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
		$pdf->cell(30,5,number_format($valor_bonovac_venc ,2),1,1,'R',1);
		$totaldev += $valor_bonovac_venc;

		$pdf->cell(60,5,'Bono Post Vacacional Vencido ('.$vac.')',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Dias',1,0,'L');
		$pdf->cell(20,5,$dias_bono_postvaca,1,0,'R');
		$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
		$pdf->cell(30,5,number_format($valor_bono_postvaca ,2),1,1,'R',1);
		$totaldev += $valor_bono_postvaca;

		$pdf->cell(60,5,'Dias de descanso en vacaciones no disfrutados ('.$vac.')',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Dias',1,0,'L');
		$pdf->cell(20,5,$dias_descanso_vaca,1,0,'R');
		$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
		$pdf->cell(30,5,number_format($valor_dias_descanso_vaca ,2),1,1,'R',1);
		$totaldev += $valor_dias_descanso_vaca;


	}

	$a=mostrar_antiguedad(1,$fec1,$fec2);
	$mesvacacion = mostrar_antiguedad(2,$fec1,$fec2);
	$diasvac = $dvac + ($a<=0?0:$a);
	$diasbon = $dbon + ($a<=0?0:$a);

	//=============================== Vacaciones Fraccionadas
	//=============================== Vacaciones Fraccionadas

	if ($dias_vac_fraccion>0) {
	$pdf->cell(60,5,'Vacaciones Fraccionadas',1,0,'L');
	$pdf->cell(20,5,'',1,0,'L');
	$pdf->cell(20,5,'',1,0,'L');
	$pdf->cell(30,5,'Dias',1,0,'L');
	$pdf->cell(20,5,number_format($dias_vac_fraccion,2),1,0,'R');
	$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
	$pdf->cell(30,5,number_format($valor_dias_vac_fraccion ,2),1,1,'R',1);
	$totaldev += $valor_dias_vac_fraccion;

	//=============================== Bono Vacacional Vencidas
	//=============================== Bono Vacacional Vencidas
	$pdf->cell(60,5,'Bono Vacacional Fraccionadas',1,0,'L');
	$pdf->cell(20,5,'',1,0,'L');
	$pdf->cell(20,5,'',1,0,'L');
	$pdf->cell(30,5,'Dias',1,0,'L');
	$pdf->cell(20,5,number_format($dias_bonovac_fraccion,2),1,0,'R');
	$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
	$pdf->cell(30,5,number_format($valor_bonovac_fraccion ,2),1,1,'R',1);
	$totaldev += $valor_bonovac_fraccion;
	}



	//=============================== UTILIDADES
	//=============================== UTILIDADES

	$hoy=substr($fec2,0,4).'-01-01';
	if ($fec1>$hoy) $hoy = $fec1;

	$mesutilidad = mostrar_antiguedad(2,$hoy, $fec2);
	$utilidad = $duti/12*$mesutilidad*($smes/30);

	$pdf->cell(60,5,'Utilidades del Periodo',1,0,'L');
	$pdf->cell(20,5,mostrar_fecha($hoy),1,0,'L');
	$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
	$pdf->cell(30,5,'Dias',1,0,'L');
	$pdf->cell(20,5,'',1,0,'R');
	$pdf->cell(20,5,'',1,0,'R');
	$pdf->cell(30,5,number_format($valor_utilid_pagar ,2),1,1,'R',1);
	$totaldev += $valor_utilid_pagar;



	//============ datos inicializando
	$fec11 = substr($rowx['fechai'],0,7);
	$fec22 = substr($rowx['fecha_retiro'],0,7);
	$fec11x = $rowx['fechai'];
	$fec22x = $rowx['egreso'];
	$inicio=0; $tri=0; $salto=0; $anosx=0; $anos=0; $entrosueldo=0;
	$acumulado=0; $intereses=0; $tdias=0; $prestaciones=0;$interesganados=0;
	$cuantosmeses=0;

	//============ datos de sueldo
	$consulta=mysqli_query($enlace,"select sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysqli_error($enlace));
	$row=mysqli_fetch_array($consulta);
	if (mysqli_num_rows($consulta)!=0) $sueldo=$row['sueldo'];

		 	//===========Agregado para calcular el trimestre
	$fec11 = $fec1;
	$fec22 = $fec2;
	$ultdias=false;

	/*
	//====================== proceso de prestaciones
	//====================== proceso de prestaciones
		$_POST['tipo_salida']=0;
		$integralprom=$integral;
		include("proceso_prestaciones.php");
        $integral=$integralprom;
	//====================== proceso de prestaciones
	//====================== proceso de prestaciones

	*/

	/*
	//================================ cuando es >= 3 meses
			$pdf->cell(60,5,'Prestaciones a cancelar (Art. 142)',1,0,'L');
			$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
			$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
			$pdf->cell(30,5,'Dias',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$x = $pdf->GetX();
				$y = $pdf->GetY();
			$x1 = $pdf->GetX();
            $y1 = $pdf->GetY();
			$pdf->SetXY($x, $y);
	        $pdf->cell(20,5,$tdias,1,0,'C');
  	        $pdf->cell(20,5,$valor_prestaciones_gant+$valor_prestac_adic,1,1,'C');

			$otros=true;

			//$totalmetodoab=($prestaciones+($integral*15));

			if($ultdias){
			     $prestaciones=$prestaciones-($integral*15);
				 $tdias=$tdias-15;
			}
			if($metodoc>($prestaciones+$saldoadelanto+($integral*15)))$otros=false;


			if($valor_metodoC<$totalmetodoab){


			$pdf->SetXY($x1, $y1);
			$pdf->cell(20,5,$dias_prestac_garant,1,0,'R');
			$pdf->cell(20,5,'',1,0,'R');
			$pdf->cell(30,5,$valor_prestaciones_gant,1,1,'R',1);
			$totaldev += $valor_prestaciones_gant;

			$trimestres=(mostrar_antiguedad(3,$fec1,$fec2)/91.50);
			$trimestres=explode(".",$trimestres);
			if(intval($trimestres[1])>0){
			    $dias=0;
			}

			if ($valor_prestac_adic>0) {
				$pdf->cell(60,5,'Deposito Ultimo Trimestre',1,0,'L');
				$pdf->cell(20,5,'',1,0,'L');
				$pdf->cell(20,5,'',1,0,'L');
				$pdf->cell(30,5,'Dias',1,0,'L');
				$pdf->cell(20,5,number_format(15,0),1,0,'R');
				$pdf->cell(20,5,'',1,0,'R');
				$pdf->cell(30,5,number_format($valor_prestac_adic,2),1,1,'R',1);
				$totaldev += $valor_prestac_adic;
			}
			}else{
				$pdf->SetXY($x1, $y1);
			$pdf->cell(20,5,'',1,0,'R');
			$pdf->cell(20,5,'',1,0,'R');
			$pdf->cell(30,5,'',1,1,'R',1);
			//$totaldev += $valor_prestaciones_gant;

			$trimestres=(mostrar_antiguedad(3,$fec1,$fec2)/91.50);
			$trimestres=explode(".",$trimestres);
			if(intval($trimestres[1])>0){
			    $dias=0;
			}
			*/

			$totalmetodoab=$valor_prestaciones_gant+$valor_prestac_adic;
			if ($valor_metodoC>$totalmetodoab) {
				$pdf->cell(60,5,'Prestaciones Art 142 Lit. c',1,0,'L');
				$pdf->cell(20,5,'',1,0,'L');
				$pdf->cell(20,5,'',1,0,'L');
				$pdf->cell(30,5,'Dias',1,0,'L');
				$pdf->cell(20,5,number_format('',0),1,0,'R');
				$pdf->cell(20,5,'',1,0,'R');
				$pdf->cell(30,5,number_format($metodoc,2),1,1,'R',1);
				$totaldev += $metodoc;

			}else {
				$pdf->cell(60,5,'Prestaciones a cancelar (Art. 142)',1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
				$pdf->cell(30,5,'Dias',1,0,'L');
			  $pdf->cell(20,5,$dias_prestac_garant,1,0,'R');
				$pdf->cell(20,5,'',1,0,'R');
	  	  $pdf->cell(30,5,number_format($valor_prestaciones_gant,2),1,1,'R',1);
				$totaldev += $valor_prestaciones_gant;

				$pdf->cell(60,5,'Deposito Ultimo Trimestre (Art. 142)',1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
				$pdf->cell(30,5,'Dias',1,0,'L');
				$pdf->cell(20,5,$dias_prest_adic,1,0,'R');
				$pdf->cell(20,5,'',1,0,'R');
				$pdf->cell(30,5,number_format($valor_prestac_adic,2),1,1,'R',1);
				$totaldev += $valor_prestac_adic;

						}

			//}
			if ($valor_indemniza>0) {
				$pdf->cell(60,5,'Indemnizacion (Art 92)',1,0,'L');
				$pdf->cell(20,5,'',1,0,'L');
				$pdf->cell(20,5,'',1,0,'L');
				$pdf->cell(30,5,'Dias',1,0,'L');
				$pdf->cell(20,5,number_format('',0),1,0,'R');
				$pdf->cell(20,5,'',1,0,'R');
				$pdf->cell(30,5,number_format($valor_indemniza,2),1,1,'R',1);
				$totaldev += $valor_indemniza;
			}
			/*
			if ($tipoe==1||$tipoe==4){
				$pdf->cell(60,5,'Indemnizaci?n por Despido (Art. 92)',1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
				$pdf->cell(30,5,'D?as',1,0,'L');
				$pdf->cell(20,5,($metodoc>($prestaciones+$saldoadelanto+($integral*15))?$anhos:number_format(($dias==0?$tdias+15:$tdias),0)),1,0,'R');
				$pdf->cell(20,5,'',1,0,'R');
				$pdf->cell(30,5,number_format($metodoc>($valor_prestaciones_gant+$valor_prestac_adic)?$metodoc:($valor_prestaciones_gant+$valor_prestac_adic) ,2),1,1,'R',1);
				$totaldev += ($metodoc>($valor_prestaciones_gant+$valor_prestac_adic)?$metodoc:($valor_prestaciones_gant+$valor_prestac_adic));
				//$totaldev += $prestaciones+$saldoadelanto+($dias==0?$integral*15:0);
			}
			*/



			if ($intereses_prestac>0) {
				$pdf->cell(60,5,'Intereses de Prestaciones (Art. 142)',1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
				$pdf->cell(30,5,'',1,0,'L');
				$pdf->cell(20,5,'',1,0,'L');
				$pdf->cell(20,5,'',1,0,'L');
				$pdf->cell(30,5,number_format($intereses_prestac ,2),1,1,'R',1);
				$totaldev += $intereses_prestac;
			}



	//=============================== total otras asignaciones
	if ($ncon01>0) {
			$pdf->cell(150,5,$ccon01,1,0,'L');
			$pdf->cell(20,5,'Bs.',1,0,'L');
			$pdf->cell(30,5,number_format($ncon01,2),1,1,'R',1);
	}
	$totaldev +=$ncon01;

	//=============================== total devengo
	//=============================== total devengo
	$pdf->SetFont('Arial','B',10);
	$pdf->cell(170,5,'Total Devengado Bs.',1,0,'C',1);
	$pdf->cell(30,5,number_format($totaldev,2),1,1,'R',1);





	//=============================== total DEDUCCIONES
	//=============================== total DEDUCCIONES
	$pdf->ln(5);
	$pdf->SetFont('Arial','B',8);
	$pdf->cell(150,5,'Conceptos de Deducciones',1,0,'L',1);
	$pdf->cell(20,5,'Diario/(%)',1,0,'C',1);
	$pdf->cell(30,5,'Sub-Total',1,1,'C',1);
	$pdf->SetFont('Arial','',8);

	//=============================== total dias pagado no laborados
	$total=0;
	if ($dpnl>0) {
			$pdf->cell(150,5,'Días Pagados No Laborados',1,0,'L');
			$pdf->cell(20,5,$dpnl,1,0,'L');
			$pdf->cell(30,5,number_format($valor_dpnlabor,2),1,1,'R',1);
	}
	$total +=$valor_dpnlabor;

	//=============================== total PRESTACIONES
	if ($adelanto_prestaciones>0) {
			$pdf->cell(150,5,'Adelantos de Prestaciones Sociales',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($adelanto_prestaciones,2),1,1,'R',1);
	}
	$total +=$adelanto_prestaciones;

	//=============================== total INTERESES
	if ($saldointeres>0) {
			$pdf->cell(150,5,'Intereses de Prestaciones Sociales Pagados',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($saldointeres,2),1,1,'R',1);
	}
	$total +=$saldointeres;

	//=============================== total UTILIDADES
	if ($adeuti>0) {
			$pdf->cell(150,5,'Adelantos de Utilidades',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($adeuti,2),1,1,'R',1);
	}
	$total +=$adeuti;

	//=============================== total VACACIONES
	if ($adevac>0) {
			$pdf->cell(150,5,'Adelantos de Vacaciones',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($adevac,2),1,1,'R',1);
	}
	$total +=$adevac;

	//=============================== total PRESTAMOS
	if ($saldoprestamo>0) {
			$pdf->cell(150,5,'Prestamos Personales',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($saldoprestamo,2),1,1,'R',1);
	}
	$total +=$saldoprestamo;

	//=============================== total FIDEICOMISO
	if ($fideicomiso>0) {
			$pdf->cell(150,5,'Deposito en FIDEICOMISO',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($fideicomiso,2),1,1,'R',1);
	}
	$total +=$fideicomiso;

	//=============================== total ISLR
	if ($islr>0) {
			$pdf->cell(150,5,'Impuesto Sobre La Renta (I.S.L.R.)',1,0,'L');
			$pdf->cell(20,5,number_format($islr,2),1,0,'L');
			$pdf->cell(30,5,number_format($valor_islr,2),1,1,'R',1);
	}
	$total +=$valor_islr;

	//=============================== total S.S.O.
	if ($semana>0) {
			$pdf->cell(150,5,'Seguro Social Obligatorio (S.S.O.)',1,0,'L');
			$pdf->cell(20,5,number_format($semana,2),1,0,'L');
			$pdf->cell(30,5,number_format($valor_sso,2),1,1,'R',1);
	}
	$total +=$valor_sso;

	//=============================== total RPE
	if ($semana>0) {
			$pdf->cell(150,5,'Regimen de Prestación de Empleo (R.P.E.)',1,0,'L');
			$pdf->cell(20,5,number_format($semana,2),1,0,'L');
			$pdf->cell(30,5,number_format($valor_rpe,2),1,1,'R',1);
	}
	$total +=$valor_rpe;

	//=============================== total FAOV
	if ($faov>0) {
			$pdf->cell(150,5,'F.A.O.V',1,0,'L');
			$pdf->cell(20,5,'1 %',1,0,'L');
			$pdf->cell(30,5,number_format($faov,2),1,1,'R',1);
	}
	$total +=$faov;

	//=============================== total INCES
	if ($ince>0) {
			$pdf->cell(150,5,'I.N.C.E.S.',1,0,'L');
			$pdf->cell(20,5,number_format($ince,2).'%',1,0,'L');
			$pdf->cell(30,5,number_format($inces,2),1,1,'R',1);
	}
	$total +=$inces;

	//=============================== total tras deducciones
	if ($ncon02>0) {
			$pdf->cell(150,5,$ccon02,1,0,'L');
			$pdf->cell(20,5,'Bs.',1,0,'L');
			$pdf->cell(30,5,number_format($ncon02,2),1,1,'R',1);
	}
	$total +=$ncon02;


	//=============================== total deduccion
	//=============================== total deduccion
	$pdf->SetFont('Arial','B',10);
	$pdf->cell(170,5,'Total Deducciones Bs.',1,0,'C',1);
	$pdf->cell(30,5,number_format($total,2),1,1,'R',1);

	$pdf->ln(5);
	$pdf->cell(170,5,'Total Neto a Pagar Bs.',1,0,'C',1);
	$pdf->cell(30,5,number_format($totaldev-$total,2),1,1,'R',1);

	$neto=$totaldev-$total;
	$len=strlen(number_format($neto,2));
	$dec=substr(number_format($neto,2),$len-2,2);
	$letra=num2letras($neto,0)." bolivares con ".$dec."/100 centimos";

	$pdf->SetFont('Arial','',8);
	$pdf->cell(0,5,'Son: '.$letra,0,1,'C',0);

	$pdf->SetFont('Arial','',8);
	$pdf->ln(2);
	$pdf->cell(0,5,'Yo, '.trim($rowemp['nombres']).' '.$rowemp['nombres1'].", ".trim($rowemp['apellidos'])." ".$rowemp['apellidos1'].', cédula de identidad No. '.$rowemp['codigo'].', ',0,1,'C',0);
	$pdf->cell(0,5,'declaro haber recibido la cantidad arriba señalada a mi entera satisfacción en moneda efectiva y de curso legal, ',0,1,'C',0);
	$pdf->cell(0,5,'por concepto de pago completo e indemnizaciones, hasta la fecha de la presente liquidación, no teniendo nada que',0,1,'C',0);
	$pdf->cell(0,5,'reclamar en relación a salarios e indemnizaciones causadas por el contrato de trabajo que hoy queda terminado.',0,1,'C',0);
	$pdf->cell(0,5,'En '.$_POST['ciudad'].' en fecha: '.$fechapago,0,1,'C',0);
	$pdf->ln(3);
	$pdf->cell(0,5,'Firma/cedula de Recibido: ',0,1,'C',0);
	$pdf->SetFont('Arial','',8);
	$pdf->ln(3);
	$pdf->cell(10,5,'RRHH/ficha personal',0,1,'',0);

	$pdf->Output();
	mysqli_free_result($resultado);
	mysqli_close($enlace);
?>
